CURSES_SCANW(3) | Library Functions Manual | CURSES_SCANW(3)

# NAME

`curses_scanw`, `scanw`, `wscanw`, `mvscanw`, `mvwscanw` —
curses read formatted data from screen routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

`#include <curses.h>`

int
`scanw`(const char *fmt, ...);

int
`wscanw`(WINDOW *win, const char *fmt, ...);

int
`mvscanw`(int y, int x, const char *fmt, ...);

int
`mvwscanw`(WINDOW *win, int y, int x, const char *fmt, ...);

# DESCRIPTION

These functions read formatted data from `stdscr` or from the specified window.

The `scanw`() function is the same as the `scanf`() function, excepting that the input data stream is read from the current cursor position on `stdscr`,

The `wscanw`() function is the same as the `scanw`() function, excepting that the data stream is read from the window specified by win.

The `mvscanw`() and `mvwscanw`() functions are the same as the `scanw`() and `mvscanw`() functions, respectively, excepting that `wmove`() is called to move the cursor to the position specified by y, x before the data is read from the window.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following values:

`OK`
  The function completed successfully.
`ERR`
  An error occurred in the function.

# SEE ALSO

curses_cursor(3), curses_print(3), scanf(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

August 12, 2002 | NetBSD 9.3